package com.tmerclub.cloud.systemtest.data.order;

import com.tmerclub.cloud.payment.dto.PayInfoDTO;

import java.util.ArrayList;
import java.util.List;

/**
 * @author Tu
 */
public class PayParamData {
    public static PayInfoDTO getPayParamData(Long orderId){
        PayInfoDTO payInfoDTO = new PayInfoDTO();
        ArrayList<Long> orderIds = new ArrayList<>();
        orderIds.add(orderId);

        payInfoDTO.setOrderIds(orderIds);
        payInfoDTO.setPayType(9);
        payInfoDTO.setReturnUrl("https://h5.mall4j.com/cloud-test/package-user/pages/order/order?orderStatus=0");
        return payInfoDTO;
    }

    /**
     * 需拆分订单的订单支付
     */
    public static PayInfoDTO getPayParamData(List<Long> orderIds) {
        PayInfoDTO payInfoDTO = new PayInfoDTO();
        payInfoDTO.setOrderIds(orderIds);
        payInfoDTO.setPayType(9);
        return payInfoDTO;
    }
}
